- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: d3f65b1f-2c1d-4183-91ed-67426fd79d09
    creation_time: 2023-02-17T13:39:16.861583Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/ps2-ll_unwindbound2.c
      input_file_hashes:
        c/nla-digbench-scaling/ps2-ll_unwindbound2.c: 68a1d90e377c3311d76daf952c7a82207c21975afd6ee262fe642de3486ccf46
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/ps2-ll_unwindbound2.c
    file_hash: 68a1d90e377c3311d76daf952c7a82207c21975afd6ee262fe642de3486ccf46
    line: 27
    column: 0
    function: main
  loop_invariant:
    string: y * y - 2 * x + y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: f30914d5-6db7-4c0c-a722-90759cf9db9e
    creation_time: 2023-02-17T13:39:16.861955Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/ps2-ll_unwindbound2.c
      input_file_hashes:
        c/nla-digbench-scaling/ps2-ll_unwindbound2.c: 68a1d90e377c3311d76daf952c7a82207c21975afd6ee262fe642de3486ccf46
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/ps2-ll_unwindbound2.c
    file_hash: 68a1d90e377c3311d76daf952c7a82207c21975afd6ee262fe642de3486ccf46
    line: 28
    column: 0
    function: main
  location_invariant:
    string: (y * y) - 2 * x + y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: e565e1e9-ced5-4fe1-8991-bea33d86bc4a
    creation_time: 2023-02-17T13:39:16.862042Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/ps2-ll_unwindbound2.c
      input_file_hashes:
        c/nla-digbench-scaling/ps2-ll_unwindbound2.c: 68a1d90e377c3311d76daf952c7a82207c21975afd6ee262fe642de3486ccf46
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/ps2-ll_unwindbound2.c
    file_hash: 68a1d90e377c3311d76daf952c7a82207c21975afd6ee262fe642de3486ccf46
    line: 37
    column: 0
    function: main
  location_invariant:
    string: (y*y) - 2*x + y == 0
    type: assertion
    format: C

